Package org.kapott.hbci.GV.parsers

## Enum ISEPAParser.Names

- java.lang.Object
- - java.lang.Enum<ISEPAParser.Names>
  - - org.kapott.hbci.GV.parsers.ISEPAParser.Names

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ISEPAParser.Names>`

Enclosing interface:
  ISEPAParser<T>

    public static enum ISEPAParser.Names
    extends java.lang.Enum<ISEPAParser.Names>

Enums fuer die verwendeten Schluessel-Namen in den Properties.

### Enum Constant Summary

Enum Constants
`CREDITORID`
`CURR`
`DATE`
`DST_BIC`
`DST_IBAN`
`DST_NAME`
`ENDTOENDID`
`LAST_TYPE`
`MANDATEID`
`MANDDATEOFSIG`
`PMTINFID`
`PURPOSECODE`
`SEQUENCETYPE`
`SRC_BIC`
`SRC_IBAN`
`SRC_NAME`
`TARGETDATE`
`USAGE`
`VALUE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getValue()` Liefert den Schluessel-Namen.
`static ISEPAParser.Names` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ISEPAParser.Names[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SRC_NAME

    public static final ISEPAParser.Names SRC_NAME

#### SRC_IBAN

    public static final ISEPAParser.Names SRC_IBAN

#### SRC_BIC

    public static final ISEPAParser.Names SRC_BIC

#### DST_NAME

    public static final ISEPAParser.Names DST_NAME

#### DST_IBAN

    public static final ISEPAParser.Names DST_IBAN

#### DST_BIC

    public static final ISEPAParser.Names DST_BIC

#### VALUE

    public static final ISEPAParser.Names VALUE

#### CURR

    public static final ISEPAParser.Names CURR

#### USAGE

    public static final ISEPAParser.Names USAGE

#### DATE

    public static final ISEPAParser.Names DATE

#### ENDTOENDID

    public static final ISEPAParser.Names ENDTOENDID

#### PMTINFID

    public static final ISEPAParser.Names PMTINFID

#### PURPOSECODE

    public static final ISEPAParser.Names PURPOSECODE

#### LAST_TYPE

    public static final ISEPAParser.Names LAST_TYPE

#### CREDITORID

    public static final ISEPAParser.Names CREDITORID

#### MANDATEID

    public static final ISEPAParser.Names MANDATEID

#### MANDDATEOFSIG

    public static final ISEPAParser.Names MANDDATEOFSIG

#### SEQUENCETYPE

    public static final ISEPAParser.Names SEQUENCETYPE

#### TARGETDATE

    public static final ISEPAParser.Names TARGETDATE

### Method Detail

#### values

    public static ISEPAParser.Names[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISEPAParser.Names c : ISEPAParser.Names.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISEPAParser.Names valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()

Liefert den Schluessel-Namen.

Returns:
  der Schluessel-Name.